Chat widget
Set widget avatar
PUT
Set the agent's avatar/logo in the chat widget from an image URL (max 2 MB). Owner/admin.
bearer agents:writeheader
AuthorizationBearer <token>API key (rsl_live_…) from Settings → Developers.
Scope: agents:write
agentId*stringAI agent id. Never invent ids – list resources first.
Length
1 <= length <= 64application/json- body
imageUrl*stringhttps URL of a PNG, JPEG, WebP or GIF.
Format
uriSuccess
application/json- response
agentId*stringavatarUrl*stringcurl -X PUT "https://example.com/agents/string/widget/avatar" \ -H "Content-Type: application/json" \ -d '{ "imageUrl": "http://example.com" }'{ "agentId": "string", "avatarUrl": "string"}